Subject: [clisp-list] Threads?

From: Pascal Bourguignon <[email-masked]>
Date: Wed Jan 29 22:48:03 2003

What would be the difficulty to have threads in CLISP?

I guess  that the  garbage collector would  have to block  the threads
while doing its  work, but is there any  other difficulties that would
occur with threads?

What if we use them thru FFIs in LINUX package?

Also, with respect  to fork, since there may  be finalization routines
attached to collectable  objects, it would be nice  if it was possible
to  provoke a garbage  collection before  a LINUX:fork  or LINUX:vfork
call.   (Flushing output could  be done  with FINALIZE-OUTPUT  even if
recensing  all the  open  streams may  be  hard).  Is  it possible  to
initiate a garbage collection at will?

-- 
__Pascal_Bourguignon__                   http://www.informatimago.com/
----------------------------------------------------------------------
There is a fault in reality. Do not adjust your minds. -- Salman Rushdie